package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class AdvertCollection extends AbstractObjectCollection 
{
    public AdvertCollection()
    {
        super(AdvertInfo.class);
    }
    public boolean add(AdvertInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(AdvertCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(AdvertInfo item)
    {
        return removeObject(item);
    }
    public AdvertInfo get(int index)
    {
        return(AdvertInfo)getObject(index);
    }
    public AdvertInfo get(Object key)
    {
        return(AdvertInfo)getObject(key);
    }
    public void set(int index, AdvertInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(AdvertInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(AdvertInfo item)
    {
        return super.indexOf(item);
    }
}